
-- para el maestro de alquiler

declare @id_funcionalidad as int
declare @licencia as varchar(100)
declare @id_tipoFuncionalidad as integer

 
set @id_tipoFuncionalidad = (select top 1 id from gui_tipofuncionalidad where tipoFuncionalidad = 'Botón Barra')
set @id_funcionalidad =(SELECT top 1  id FROM [gui_funcionalidad] where nombreControl='doc_documento_alquiler' ) 
set @licencia =(SELECT uid FROM [seg_usuario] where id=1) 

if not exists (select *  from gui_funcionalidad where active=1 and  id_tipoFuncionalidad=@id_tipoFuncionalidad and nombreControl='descargar_pdf' and id_funcionalidad  = @id_funcionalidad )
begin
insert into [gui_funcionalidad]           
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[funcionalidad_codigo]
           ,[urlImagen]
           ,[urlFormulario]
           ,[targetUrl]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])
 VALUES(@licencia,'01',1,1,getdate(),getdate(),1,'Descargar pdf','doc_documento_alquiler','descargar_pdf.png','','','',0,0,'descargar_pdf','descargar_pdf',15,@id_funcionalidad,@id_tipoFuncionalidad)
end

--delete gui_funcionalidad where id > 2686

--  doc_documento.

--declare @id_funcionalidad as int
--declare @licencia as varchar(100)
--declare @id_tipoFuncionalidad as integer

 
set @id_tipoFuncionalidad = (select top 1 id from gui_tipofuncionalidad where tipoFuncionalidad = 'Botón Barra')
set @id_funcionalidad =(SELECT top 1  id FROM [gui_funcionalidad] where nombreControl='doc_documento_cotizacion' ) 
set @licencia =(SELECT uid FROM [seg_usuario] where id=1) 

if not exists (select *  from gui_funcionalidad where active=1 and  id_tipoFuncionalidad=@id_tipoFuncionalidad and nombreControl='descargar_pdf' and id_funcionalidad  = @id_funcionalidad )
begin
insert into [gui_funcionalidad]           
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[funcionalidad_codigo]
           ,[urlImagen]
           ,[urlFormulario]
           ,[targetUrl]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])
 VALUES(@licencia,'01',1,1,getdate(),getdate(),1,'Descargar pdf','doc_documento_cotizacion','descargar_pdf.png','','','',0,0,'descargar_pdf','descargar_pdf',15,@id_funcionalidad,@id_tipoFuncionalidad)
end



--declare @id_funcionalidad as int
--declare @licencia as varchar(100)
--declare @id_tipoFuncionalidad as integer

 
set @id_tipoFuncionalidad = (select top 1 id from gui_tipofuncionalidad where tipoFuncionalidad = 'Botón Barra')
set @id_funcionalidad =(SELECT top 1  id FROM [gui_funcionalidad] where nombreControl='doc_documento_solicitud' ) 
set @licencia =(SELECT uid FROM [seg_usuario] where id=1) 

if not exists (select *  from gui_funcionalidad where active=1 and  id_tipoFuncionalidad=@id_tipoFuncionalidad and nombreControl='descargar_pdf' and id_funcionalidad  = @id_funcionalidad )
begin
insert into [gui_funcionalidad]           
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[funcionalidad_codigo]
           ,[urlImagen]
           ,[urlFormulario]
           ,[targetUrl]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])
 VALUES(@licencia,'01',1,1,getdate(),getdate(),1,'Descargar pdf','doc_documento_solicitud','descargar_pdf.png','','','',0,0,'descargar_pdf','descargar_pdf',15,@id_funcionalidad,@id_tipoFuncionalidad)
end


set @id_tipoFuncionalidad = (select top 1 id from gui_tipofuncionalidad where tipoFuncionalidad = 'Botón Barra')
set @id_funcionalidad =(SELECT top 1  id FROM [gui_funcionalidad] where nombreControl='doc_documento_entrada' ) 
set @licencia =(SELECT uid FROM [seg_usuario] where id=1) 

if not exists (select *  from gui_funcionalidad where active=1 and  id_tipoFuncionalidad=@id_tipoFuncionalidad and nombreControl='descargar_pdf' and id_funcionalidad  = @id_funcionalidad )
begin
insert into [gui_funcionalidad]           
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[funcionalidad_codigo]
           ,[urlImagen]
           ,[urlFormulario]
           ,[targetUrl]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])
 VALUES(@licencia,'01',1,1,getdate(),getdate(),1,'Descargar pdf','doc_documento_entrada','descargar_pdf.png','','','',0,0,'descargar_pdf','descargar_pdf',15,@id_funcionalidad,@id_tipoFuncionalidad)
end

set @id_tipoFuncionalidad = (select top 1 id from gui_tipofuncionalidad where tipoFuncionalidad = 'Botón Barra')
set @id_funcionalidad =(SELECT top 1  id FROM [gui_funcionalidad] where nombreControl='doc_documento_ot' ) 
set @licencia =(SELECT uid FROM [seg_usuario] where id=1) 

if not exists (select *  from gui_funcionalidad where active=1 and  id_tipoFuncionalidad=@id_tipoFuncionalidad and nombreControl='descargar_pdf' and id_funcionalidad  = @id_funcionalidad )
begin
insert into [gui_funcionalidad]           
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[funcionalidad_codigo]
           ,[urlImagen]
           ,[urlFormulario]
           ,[targetUrl]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])
 VALUES(@licencia,'01',1,1,getdate(),getdate(),1,'Descargar pdf','doc_documento_ot','descargar_pdf.png','','','',0,0,'descargar_pdf','descargar_pdf',15,@id_funcionalidad,@id_tipoFuncionalidad)
end


set @id_tipoFuncionalidad = (select top 1 id from gui_tipofuncionalidad where tipoFuncionalidad = 'Botón Barra')
set @id_funcionalidad =(SELECT top 1  id FROM [gui_funcionalidad] where nombreControl='doc_documento_requisicion' ) 
set @licencia =(SELECT uid FROM [seg_usuario] where id=1) 

if not exists (select *  from gui_funcionalidad where active=1 and  id_tipoFuncionalidad=@id_tipoFuncionalidad and nombreControl='descargar_pdf' and id_funcionalidad  = @id_funcionalidad )
begin
insert into [gui_funcionalidad]           
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[funcionalidad_codigo]
           ,[urlImagen]
           ,[urlFormulario]
           ,[targetUrl]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])
 VALUES(@licencia,'01',1,1,getdate(),getdate(),1,'Descargar pdf','doc_documento_requisicion','descargar_pdf.png','','','',0,0,'descargar_pdf','descargar_pdf',15,@id_funcionalidad,@id_tipoFuncionalidad)
end



set @id_tipoFuncionalidad = (select top 1 id from gui_tipofuncionalidad where tipoFuncionalidad = 'Botón Barra')
set @id_funcionalidad =(SELECT top 1  id FROM [gui_funcionalidad] where nombreControl='doc_documento_salida' ) 
set @licencia =(SELECT uid FROM [seg_usuario] where id=1) 
if not exists (select *  from gui_funcionalidad where active=1 and  id_tipoFuncionalidad=@id_tipoFuncionalidad and nombreControl='descargar_pdf' and id_funcionalidad  = @id_funcionalidad )
begin
insert into [gui_funcionalidad]           
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[funcionalidad_codigo]
           ,[urlImagen]
           ,[urlFormulario]
           ,[targetUrl]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])
 VALUES(@licencia,'01',1,1,getdate(),getdate(),1,'Descargar pdf','doc_documento_salida','descargar_pdf.png','','','',0,0,'descargar_pdf','descargar_pdf',15,@id_funcionalidad,@id_tipoFuncionalidad)
end
